<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class FindRouteModel extends Model
{
    use HasFactory;
    
    public $timestamps = false;


	public static function getRoutes(){

		$sql = 'SELECT route_id,latitude as lat,longitude as lng,(select type from vehicle_routes where route_id=rp.route_id) as vehicle_type FROM route_polygon rp order by route_id,id';
		$result = DB::select( DB::raw($sql), array());
       //dd($result);
		$aData = array();
		foreach($result as $val){

			$latlong['lat'] = $val->lat;
			$latlong['lng'] = $val->lng;

			if($val->vehicle_type == 1 || $val->vehicle_type  == 6){
				$aData[$val->route_id][] = $latlong;
			}
		}
		// echo 'here';
		// dd($aData);
		return $aData ;
	}

    
	public static function vehicle_number($route_id){
		
		$dateBeforeOneDay = date('Ymd',strtotime("-1 day"));
		$sql = 'SELECT drd.vehicle_number as vehicle_id From  daily_route_details drd where route_id='.$route_id.' and current_day='.$dateBeforeOneDay;
		//echo $sql;die;
		$result = DB::select( DB::raw($sql), array());
		$vehicle_number = 0;
		foreach($result as $val){
			$vehicle_number = $val->vehicle_id;
			
		}
		return $vehicle_number ;
	}

}

?>