@extends('layout.index')
@section('title','Route Deviation')

<!-- Dashboard Ecommerce start -->
@section('content')

<style>
	#notation_panel{
		position:fixed;
		float:left;
		right:5px;
		padding:10px;
		z-index:1000;
		width:220px;
		max-height: 300;
		overflow-y: scroll;
		background-color: #000000c4;
		border-radius: 5px;
		/* opacity: 0.7; */
		color: #ffffff;
		border-radius:5px;
		top: 92px;
      text-align:left;
	}

   .notation_panel{
      position: absolute;
      top: 180px !important;
      padding: 10px;
      z-index: 9;
      background-color: #000000c4;
      border-radius: 5px;
      /* opacity: 0.7; */
      color: #ffffff;
      width: fit-content;
      margin-left: 10px !important;
      float: right;
   }
   .notation_panel td{
      color: #edebeb;
   } 
</style>

<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card mb-1">
            <div class="card-header w-100" >
               <div class="content-header-left">
                  <div class="row breadcrumbs-top">
                     <div class="col-sm-12">
                        <h2 class="content-header-title float-left mb-0">Route Deviation</h2>
                     </div>
                  </div>
               </div>
               <div class="d-flex justify-content-end breadcrumb-wrapper">
                  <nav aria-label="breadcrumb">
                     <ol class="breadcrumb mr-1">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Route Deviation</li>
                     </ol>
                  </nav>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- Bordered table end -->
</div>
      
<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card">
         <form method="post" id="search_frm" action="{{url('route_deviation')}}">
            <input type="hidden" name="form_type" value="search_form">
            @csrf
            <div class="card-header w-100 p-1" >
               <div class="row w-100" >
                  <div class="col-sm-2">
                     <div class="form-group m-0">
                        <select name="vehicle_id" id="vehicle_id" class="select2 form-select">
                           <option value="">--- Select Vehicle ---</option>
                              @foreach($vehicle as $val)

                                 @php $selected = ''; @endphp 
                                 @if($vehicle_id == $val->id)
                                 @php $selected ='selected'; @endphp
                                 @endif
                              <option {{$selected}} value="{{$val->id}}" > {{$val->vehicle_number }}</option>
                           @endforeach            
                        </select>
                     </div>
                  </div>

                  <div class="col-sm-2">
                     <div class="form-group m-0">
                         <input id="date" name="date" class="form-control flatpickr-basic" type="text" value="<?php echo date('d-m-Y',strtotime($date)); ?>" >
                     </div>
                  </div>
                  
                  <div class="col-sm-4">
   
                     <button type="submit" class="btn btn-primary">Search</button>
                         <a title="Clear" href="{{ url('route_deviation/clear_search') }}" class="btn btn-outline-primary" data-column="3"><i data-feather="rotate-ccw" class="me-25"></i><span> Clear</span></a> 
                        
               </div> 

               </div>
             </div>
         </form>


      <?Php if(!empty($aRoutes)){ ?>
         <div class="notation_panel">
            <table>
               <?php foreach($aRoutes as $aRoute){ ?>
                  <tr>
                     <td colspan="two" style=""><strong></strong></td>
                  </tr>
               <form method="post" id="show_default" action="{{url('route_deviation')}}">
                <input type="hidden" name="form_type1" value="show_default_route">
                @csrf
                  <tr> 
                     <td>Show Default Route</td>
                     <td style="padding:5px;margin:5px;">
                        <input style="" type="checkbox" id="show_default" name="show_default" onClick="show_hide_route()" <?php echo $show_default; ?>></td>
                       
                  </tr>
                  <tr>
                     <td>Show Stoppage's</td>
                     <td style="padding:5px;margin:5px;">
                        <input style="" type="checkbox" id="show_stoppages" name="show_stoppages" onClick="show_hide_route()" <?php echo $show_stoppages; ?>>
                     </td>
                  </tr>		
                  <?php if(date('d-m-Y') == $date)  {?>
                  <tr>
                     <td>Show Route Deviation Points </td>
                     <td style="padding:5px;margin:5px;">
                        <input style="" type="checkbox" id="show_route_deviation" name="show_route_deviation" onClick="show_hide_route()" <?php echo $show_route_deviation; ?>>
                     </td>
                  </tr>			
                  <?php } ?>
               </form>	

                  <?php if(!empty($show_route_deviation)){ ?>
                  <tr>
                     <td colspan="2"> 
                     <img src="<?php echo config('custom.base_url') ?>assets/img/green_location.png" style="width:25px;height:25px;">
                      Covered Route Point
                     </td>
                  </tr>		
                  <tr>
                     <td colspan="2"> 
                     <img src="<?php echo config('custom.base_url') ?>assets/img/red_location.png" style="width:25px;height:25px;">
                      Not Covered Route Point
                     </td>
                  </tr>			
                  <?Php } ?>

                  <?php if(!empty($show_stoppages)){ ?>
                  <tr>
                     <td colspan="2"> 
                     <img src="<?php echo config('custom.base_url') ?>assets/img/purpal_location.png" style="width:25px;height:25px;">
                        Vehicle Stoppages
                     </td>
                  </tr>			
                  <?Php } ?>
                  
                  <?php
                  if(!empty($aRoute['defined_route']['route']) && !empty($show_default)) { ?>
                  <tr>
                     <td>Default Route</td>
                     <td><span style="border-radius:5px;display:block;padding:10px;margin:5px;background-color:<?Php echo $aRoute['defined_route']['color'] ?>"></span></td>				
                  </tr>
                  <tr>
                     <td>Route Pocket</td>
                     <td><span style="border-radius:5px;display:block;padding:10px;margin:5px;background-color:#046d2e"></span></td>				
                  </tr>			
                  <tr>
                     <td colspan="2">
                     <img src="<?php echo config('custom.base_url') ?>assets/img/skyblue_location.png" style="width:25px;height:25px;">
                        Default Route Start
                     </td>
                  </tr>
                  <tr>
                     <td colspan="2">
                     <img src="<?php echo config('custom.base_url') ?>assets/img/orange_location.png" style="width:25px;height:25px;">
                        Default Route End
                     </td>
                  </tr>
                  <tr>
                     <td colspan="2">
                     <img src="<?php echo config('custom.base_url') ?>assets/img/yellow_location.png" style="width:25px;height:25px;">
                        Checkpoint's
                     </td>
                  </tr>
                  
                  <?php } ?>			
                  
                  <?php if(!empty($aRoute['actual_route']['routes'])) { 
                     if(count($aRoute['actual_route']['routes']) > 1)
                        $sTrvRoute_head = 'Travelled Route\'s';
                     else
                        $sTrvRoute_head = 'Travelled Route';
                  ?>
                  <tr>
                     <td colspan="2"><?php echo $sTrvRoute_head ?></td>
                  </tr>
                  <tr>
                     <td colspan="2">
                        <img src="<?php echo config('custom.base_url') ?>assets/img/pink_location.png" style="width:25px;height:25px;">
                        Travelled Route Start
                     </td>
                  </tr>
                  <tr>
                     <td colspan="2">
                        <img src="<?php echo config('custom.base_url') ?>assets/img/brown_location.png" style="width:25px;height:25px;">
                        Travelled Route End
                     </td>
                  </tr>	
                  <?php
                     $iRowCounter = 0;
                     foreach($aRoute['actual_route']['routes'] as $aVal){
                  ?>			
                  <?php if($iRowCounter == 0){ ?>
                     <?php if(!empty($aVal['vehicle_master_id'])) { ?>
                           <tr>
                              <td colspan="2" style="text-align:left;"><a href="<?php echo url('vehicle_tracking_reports/vehicle_stoppage_report').'/'.$vehicle_id.'/0';?>"><span style="">View Vehicle Stoppages</span></a></td>
                           </tr>
                           <tr>
                              <td colspan="2" style="text-align:left;"><a href="<?php echo url('vehicle_tracking_reports/checkpoint_arrival').'/'.$vehicle_id.'/0'; ?>"><span >View Checkpoint Arrival</span></a></td>
                           </tr>
                     <?Php } ?>	
                  <?php } ?>
                  <?php if(!empty($aVal['vehicle'])) { ?>
                        <tr>
                           <td><?php echo $aVal['vehicle'] ?></td>
                           <td><span style="border-radius:5px;display:block;padding:10px;margin:5px;background-color:<?Php echo $aVal['color'] ?>"></span></td>
                        </tr>
                  <?php } ?>
                  <?php if(!empty($aVal['Pakage'])){ ?>
                  <tr>
                     <td colspan="2"><strong>Pakage : </strong><?Php echo $aVal['Pakage'] ?></span></td>
                  </tr>		
                  <?php } ?>
                  <?php if(!empty($aVal['ward'])){ ?>
                  <tr>
                     <td colspan="2"><strong>Ward :</strong> <?Php echo $aVal['ward'] ?></span></td>
                  </tr>		
                  <?php } ?>
                  
               <?php $iRowCounter++;
                  } ?>
               <?php
               } ?>	
               <?php }?>
            </table>
         </div>
         <?Php } ?>

         <?php $goole_map_key = config('custom.google_map_key'); ?>
         <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
         <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $goole_map_key; ?>&libraries=drawing"></script>

         <div style="width:100%;height:89vh;clear:both;" id="map"></div>
       
         <script>
            jQuery(document).ready(function(){
               initMap();
            });

            function show_hide_route(){
               $('#show_default').submit();
            }

            function initMap() {
               var gMapoptions = {
                  zoom: 12,
                  center: {lat: 18.63313168078192, lng: 73.79144077540306},
                  mapTypeId: google.maps.MapTypeId.ROADMAP
               }	
         
               var map = new google.maps.Map(document.getElementById('map'),gMapoptions);
               
               <?php   
                  $offset_counter = 0; 
                  //$aRoutes = array();
                  foreach($aRoutes as $key => $aRoute){ 
                   
                     if(!empty($aRoute['defined_route']['route'])  && !empty($show_default)){
                        $defined_route = json_encode($aRoute['defined_route']['route']);
                      
                     ?>
				
                        var i = <?php echo $offset_counter; ?>;
                        var offset = i%10;
                        drawline = <?php echo $defined_route; ?>;
                        var color = '<?php echo $aRoute['defined_route']['color']; ?>';
                        var route_type = 'defined';
                        draw_new_line(map,color,drawline,'none',route_type);

                        <?php
                           $offset_counter++;   
                        }

                        if(!empty($aRoute['polygon']) && !empty($show_default)){
                           $route_pocket = json_encode($aRoute['polygon']);
                        ?>
                           //polygon
                           var poly_coords = <?Php echo $route_pocket; ?>;
                           var route_poly = new google.maps.Polygon({
                              paths: poly_coords,
                              strokeColor: '#046d2e',
                              strokeOpacity: 0.8,
                              strokeWeight: 3,
                              fillColor: '#046d2e',
                              fillOpacity: 0.0,
                              clickable:true
                           });
                           route_poly.setMap(map);				
                        <?php 
                        }
                        ?>

                     	// To show on route Checkpoints	
                    <?php if(!empty($aRoute['checkpoints'])  && !empty($show_default)){  ?>
                        var checkpoints = <?php echo json_encode($aRoute['checkpoints']); ?>;	
                        for(var j=0;j < checkpoints.length;j++){
                           checkpoint = checkpoints[j];
                           var checkpoint_id = checkpoint.id;
                           var latitude = checkpoint.lat;
                           var longitude = checkpoint.lng;	
                           var route_id = checkpoint.route_id;
                           var expected_reach_time = checkpoint.expected_time;
                           var route_name = checkpoint.route_name;
                           var address = checkpoint.location;
                           var checkpoint_number = checkpoint.checkpoint_number;
                           if(checkpoint.actual_reach_time){
                              var actual_reach_time = checkpoint.actual_reach_time;
                           }else{
                              var actual_reach_time = 'Not Arrived Yet';	
                           }

                        var info_str = '<strong>Route Name</strong> : '+route_name+'<br><strong>Location</strong> : '+address+'<br><strong>Expected Time</strong> : '+expected_reach_time+'<br><strong>Actual Reach Time</strong> : '+actual_reach_time+'<br><strong>Checkpoint Number</strong> : '+checkpoint_number+'<br>';
                        
                        image_icon = 'yellow_location.png';	
                        size = new google.maps.Size(50, 50);
                        var image = {
                           url :'<?php echo url("assets/img") ?>/'+image_icon,
                           scaledSize: size, // scaled size
                        }
                       // dd($aRoutes['checkpoints']);

                        var marker = new google.maps.Marker({
                           position: new google.maps.LatLng(latitude, longitude),
                           title:address,
                           map:map,
                           icon: image
                        });
                        
                        var infowindow = new google.maps.InfoWindow()
                        google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                           return function() {
                              infowindow.setContent(info_str);
                              infowindow.open(map,marker);
                           };
                        })(marker,info_str,infowindow));
                     }
                  <?php } ?>   
                 
                  <?php  //date search on show default route
                     if(!empty($aRoute['actual_route']['routes'])){
                        foreach($aRoute['actual_route']['routes'] as $aRoute){
                           if(!empty($aRoute['route'])){
                              $actual_route = json_encode($aRoute['route']); 
                           ?>
                              var i = <?php echo $offset_counter; ?>;
                              var offset = i%10;
                              var color = '<?php echo $aRoute['color']; ?>';
                              drawline = <?php echo $actual_route ?>;
                              if(drawline != ''){
                                 var route_type = 'travelled';
                                 draw_new_line(map,color,drawline,'none',route_type);
                              }
                           <?php 
                           }

                           //--------------- show route deviation points---------
                           if(!empty($aRoute['route_deviation']) && !empty($show_route_deviation)){ 
                              foreach($aRoute['route_deviation'] as $res){
                           ?>
                           
                           var lat = <?php echo $res->lat ?>;
                           var lng = <?php echo $res->lng ?>;
                           var checkpoint = <?php echo $res->checkpoint ?>;
                         
                           if(checkpoint == 0){
                              image_gl_icon = 'red_location.png';	
                           }else{
                              image_gl_icon = 'green_location.png';
                           }

                           var info_str = '<strong>Latitude</strong> : '+lat+'<br><strong>Longitude</strong> : '+lng+ '<br>';
                              
                              var image = {
                                 url :'<?php echo url("assets/img") ?>/'+image_gl_icon,
                                 scaledSize: new google.maps.Size(50, 50), // scaled size
                              }
                              
                              var marker = new google.maps.Marker({
                                 position: new google.maps.LatLng(lat, lng),
                                 title:'Route Deviation Points',
                                 map:map,
                                 icon: image
                              });

                              var infowindow = new google.maps.InfoWindow()
                              google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                                 return function() {
                                    infowindow.setContent(info_str);
                                    infowindow.open(map,marker);
                                 };
                              })(marker,info_str,infowindow));


                           <?php  }
                           }
                           //-----------------------

                           if(!empty($aRoute['stopped']) && !empty($show_stoppages)){ 
                              foreach($aRoute['stopped'] as $aStp){
                          ?>

                           var lat = <?php echo $aStp->lat ?>;
                           var lng = <?php echo $aStp->lng ?>;
                           var address = '<?php echo $aStp->address ?>';
                           var record_time = '<?php echo $aStp->record_time ?>';
                           var stopped_period = '<?php echo $aStp->stopped_period ?>';

                          // image_gl_icon = 'green_location.png';	
                           image_gl_icon = 'purpal_location.png';	
                           var image = {
                              url :'<?php echo url("assets/img") ?>/'+image_gl_icon,
                              scaledSize: new google.maps.Size(50, 50), // scaled size
                           }
                           
                           var marker = new google.maps.Marker({
                              position: new google.maps.LatLng(lat, lng),
                              title: 'Vehicle Stoppages',
                              map:map,
                              icon: image
                        });

                        var info_str = '<strong>Time</strong> : '+record_time+'<br><strong>Stopped Period</strong> : '+stopped_period+'<br>';
							
						   	var infowindow = new google.maps.InfoWindow()
							   google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
								return function() {
								   infowindow.setContent(info_str);
								   infowindow.open(map,marker);
								};
							})(marker,info_str,infowindow));


					<?php 
						}	
					}
				}
			}
				$offset_counter++;
      }
               ?>
               set_khatPrakalpa_poly(map);
            }

            function set_marker(map,subdrawline){
               var latitude = subdrawline.lat;
               var longitude = subdrawline.lng;	
               var route_id = subdrawline.route_id;
               var aspected_reach_time = subdrawline.reach_time;
               var actual_reach_time = subdrawline.actual_reach_time;
               var route_name = subdrawline.route_name;
               var vehicle_number = subdrawline.vehicle_number;
               var address = subdrawline.address;
               
               if(actual_reach_time){
               }else{
                  actual_reach_time = '';
               }
               var marker = new google.maps.Marker({
                     position: new google.maps.LatLng(latitude, longitude),
                     title:route_id,
                     map:map
               });
               
               var info_str = '<strong>Vehicle Number</strong> : '+vehicle_number+'<br><strong>Location</strong> : '+address+'<br><strong>Expected Time</strong> : '+aspected_reach_time+'<br><strong>Actual Arrival Time</strong> : '+actual_reach_time+'';
               
               var infowindow = new google.maps.InfoWindow()
               google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                  return function() {
                     infowindow.setContent(info_str);
                     infowindow.open(map,marker);
                  };
               })(marker,info_str,infowindow));		
            }

            function set_khatPrakalpa_poly(map){
               var khatprakalpa_coords = [
                  {lat: 19.936252, lng: 73.735846},
                  {lat: 19.938773, lng: 73.739365},
                  {lat: 19.938652, lng: 73.741640},
                  {lat: 19.936655, lng: 73.743314},
                  {lat: 19.934113, lng: 73.743635},
                  {lat: 19.931108, lng: 73.738829},
                  {lat: 19.933004, lng: 73.737305},
                  {lat: 19.936252, lng: 73.735846}
               ];

               var khatprakalpa_poly = new google.maps.Polygon({
                  paths: khatprakalpa_coords,
                  strokeColor: '#015430',
                  strokeOpacity: 0.8,
                  strokeWeight: 2,
                  fillColor: '#00f9d4',
                  fillOpacity: 0.35
               });
               khatprakalpa_poly.setMap(map);	
            }

         </script> 
            
         </div>
      </div>
   </div>
         <!-- Bordered table end -->
 @endsection 
 
 <script src={{ asset('assets/js/linedraw.js') }}></script>
 <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
 