@extends('layout.index')
@section('title', 'Vehicle Tracking Reports List')

<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Vehicle Tracking Reports</h2>
                                    </div>
                                </div>
                            </div>
                            {{-- <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Vehicle Tracking Reports</li>
                             <li class="breadcrumb-item active" aria-current="page">List</li>
                          </ol>
                       </nav>
                    </div> --}}
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="row w-100">
                                <div class="col-sm-8">
                                    <div class="row">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th style="width: 180px;" class="text-center">Sr.No</th>
                                        <th>Report Name</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
 
                                    @php $i=0;
                                    @endphp

                                    @foreach ($result as $val)                                       
                                         @php $i++; @endphp        
                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td class="text-left"><a href="{{ url('vehicle_tracking_reports/'. $val->report_link) }}">{{ $val->report_name }}</a></td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection
