<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class AdminModel extends Model
{
    use HasFactory;

    protected $table = 'admin_user';
    public $timestamps = false;
    protected $fillable = [
        'emp_id',
        'firstname',
        'lastname',
        'email',
        'password',
        'gender',
        'active',
        'superadmin',
        'subadmin',
        'deleted',
        'created',
        'created_by',
        'updated_date'
        
    ];


    public static function get_all_users($aData){
        $query = AdminModel::where('superadmin', 0)->where('deleted', 0);
                            if($aData['user_name'] > 0){
                                $query->where(DB::raw("CONCAT(firstname,' ', lastname)"), 'LIKE', '%' .$aData['user_name']. '%');
                            }
        return $query;
    }
}
