
<div class="row justify-content-center">

<?php
    if(!empty($track_checkpoint)){
     //echo '<pre>'; print_r($track_checkpoint); die;
        foreach($track_checkpoint as $res){
            if(!empty($res['vehicle_name'])){
              
            if(!empty($res['percentage'])){
               $percentage = ceil($res['percentage']);
            }else{
               $percentage           = '0';
            }

            if(!empty($res['pre_expected_time']) && !empty($res['actual_reach_time'])){
                $current_day = date('Ymd',strtotime('now'));
                $date1 = strtotime($current_day.' '.$res['pre_expected_time']);
				$date2 = strtotime($current_day.' '.$res['actual_reach_time']);
				if($date1 > $date2){
					$sign = 'green';
                    $main_div = 'success-bg';
                    $text_color = 'color-success';
                    $border = 'success-border';
                    $progress_bar = 'progress-bar-success';
				}elseif($date1 < $date2){
					$sign = 'red';
                    $main_div = 'danger-bg';
                    $text_color = 'color-danger';
                    $border = 'danger-border';
                    $progress_bar = 'progress-bar-danger';
				}else{
					$sign = '';
                    $main_div = 'none-achived-bg';
                    $text_color = 'color-none-achived';
                    $border = '';
                    $progress_bar = '';
				}
            }elseif(!empty($res['next_expected_time'])){
                $main_div = 'none-achived-bg';
                $text_color = 'color-none-achived';
                $border = 'none-achived-border';
                $progress_bar = '';
            }else{
                $main_div = 'none-achived-bg';
                $text_color = 'color-none-achived';
                $border = 'none-achived-border';
                $progress_bar = '';
            }
            //echo $main_div;
?>

     <!-------------------------------------------------->

      <!-- Start Green-->
      <div class="col-md-6 col-lg-4 col-xl-2">
                    <div class="card text-center ">
                     <?php if(!empty($res['pre_expected_time']) && !empty($res['actual_reach_time'])){ ?>
                        <div class="card-header justify-content-center p-1 <?php echo $main_div; ?>">
                            <h3 class="m-0 <?php echo $text_color; ?>"><?php echo $res['vehicle_name']; ?></h3>
                        </div>
                    <?php }elseif(!empty($res['next_expected_time'])){ ?>
                        <div class="card-header justify-content-center p-1 none-achived-bg">
                            <h3 class="m-0 color-none-achived"><?php echo $res['vehicle_name']; ?></h3>
                        </div>
                    <?php }else{ ?>
                        <div class="card-header justify-content-center p-1 none-achived-bg">
                            <h3 class="m-0 color-none-achived"><?php echo $res['vehicle_name']; ?></h3>
                        </div>
                    <?php } ?>

                    <?php if(isset($res['pre_expected_time']) || isset($res['actual_reach_time']) || isset($res['previous_location']) || isset($res['next_expected_time']) || isset($res['next_location'])){ ?>
                        <div class="card-body p-0 card-custom">
                            <div class="pcheckpoint p-25">
                            
                            <?php if(!empty($res['pre_expected_time']) && !empty($res['actual_reach_time'])){ ?>
                                <p class="card-text m-1 <?php echo $text_color; ?>">
                                    <strong><i class="fa fa-check" aria-hidden="true"></i> Previous Checkpoint</strong>
                            <?php }elseif(!empty($res['next_expected_time'])){ ?>
                                <p class="card-text m-1 color-none-achived">
                                    <strong><i class="fa fa-check" aria-hidden="true"></i> Previous Checkpoint</strong>
                            <?php }else{ ?>
                                <p class="card-text m-1 color-none-achived">
                                    <strong><i class="fa fa-check" aria-hidden="true"></i> Previous Checkpoint</strong>
                            <?php } ?>

                            <?php if(!empty($res['previous_location']) && !empty($res['pre_expected_time']) && !empty($res['actual_reach_time']) ){ ?>
                                <h5><?php if(!empty($res['previous_location'])){ echo $res['previous_location']; }else{ echo '-'; } ?></h5>
                                <hr>
                                <div class="row my-25">
                                    <div class="col-6">
                                        <p class="card-text m-0">Expected Time</p>
                                        <p class="card-text mb-25"><strong><?php echo date('h:i',strtotime($res['pre_expected_time'])); ?></strong></p>
                                    </div> 
                                    <div class="col-6">
                                        <p class="card-text m-0">Actual Time</p>
                                        <p class="card-text mb-25"><strong><?php echo date('h:i',strtotime($res['actual_reach_time'])); ?></strong></p>
                                    </div>
                                </div>
                            <?php }else{ ?>
                                <img src={{ asset('assets/img/no-checkpoint-achieved.png') }} class="w-75" alt="" />
                                
                                <h5>No Checkpoint Achieved</h5>
                            <?php } ?>    
                            </div>
                            
                            
                            <hr class="m-0 <?php echo $border; ?>">

                            <div class="ncheckpoint mb-1 p-25">
                            <?php if(!empty($res['pre_expected_time']) && !empty($res['actual_reach_time'])){ ?>    
                                <p class="card-text m-1">
                                    <strong class="<?php echo $text_color; ?>">Next Checkpoint <i class="fa fa-arrow-right" aria-hidden="true"></i></strong>
                                </p>
                            <?php }elseif(!empty($res['next_expected_time'])){ ?>
                                <p class="card-text m-1">
                                    <strong class="color-none-achived">Next Checkpoint <i class="fa fa-arrow-right" aria-hidden="true"></i></strong>
                                </p>
                            <?php }else{ ?>
                                <p class="card-text m-1">
                                    <strong class="color-none-achived">Next Checkpoint <i class="fa fa-arrow-right" aria-hidden="true"></i></strong>
                                </p>
                            <?php } ?>    

                              <?php if(!empty($res['next_location']) && !empty($res['next_expected_time'])){ ?>
                                <h5><?php if(!empty($res['next_location'])){ echo $res['next_location']; }else{ echo '-'; } ?></h5>
                                <hr>
                                <div class="row my-25">
                                    <div class="col-sm-8">
                                        <p class="card-text m-0">Expected Time</p>

                                    </div>
                                    <div class="col-sm-4">
                                        <p class="card-text m-0"><strong><?php if(!empty($res['next_expected_time'])){  echo date('h:i',strtotime($res['next_expected_time'])); }else{ echo '-'; } ?></strong></p>
                                       
                                    </div>
                                </div>
                              <?php }else{ ?>
                                    <div class="row my-25">
                                       <div class="col-sm-12">
                                       <h5>Last Checkpoint Achieved</h5>
                                       <hr>
                                       <img src={{ asset('assets/img/chechpoint.png') }} alt="" style="width: 24px;"/>  
                                       </div>
                                    </div>
                              <?php } ?>

                            </div>
                            <div class="progress <?php echo $progress_bar; ?> m-0" style="border-radius: 0px">
                                <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="<?php echo $percentage; ?>" aria-valuemin="<?php echo $percentage; ?>" aria-valuemax="100" style="width: <?php echo $percentage; ?>%">
                                <?php echo $percentage; ?>%
                                </div>
                                <i class="fa fa-truck <?php echo $text_color; ?>" aria-hidden="true"></i>
                            </div>
                        </div>
                    <?php }else{ ?> 

                        <div class="card-body p-0 card-custom-center">
                            <div class="no-checkpoint-config">
                               <img src={{ asset('assets/img/no-checkpoint-configure.png') }} class="w-75"  alt="Medal Pic" />
                               <hr>
                               <h5>No Checkpoint Configure</h5>
                            </div>
                        </div>
                            <div class="progress <?php echo $progress_bar; ?> m-0" style="border-radius: 0px">
                            <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="<?php echo $percentage; ?>" aria-valuemin="<?php echo $percentage; ?>" aria-valuemax="100" style="width: <?php echo $percentage; ?>%">
                            <?php echo $percentage; ?>%
                            </div>
                            <i class="fa fa-truck <?php echo $text_color; ?>" aria-hidden="true"></i>
                           </div>
                                         

                    <?php } ?>      
                        <!-- <div class="card-footer text-muted">2 days ago</div> -->
                    </div>
                </div>
                <!-- End -->


   <?php } }} else{ ?> 
        
            <div class="row justify-content-center">
                <!-- Start -->
                <div class="col-sm-12 text-center">  
                    <img src={{ asset('assets/img/nodatafound.png') }} alt="" class="w-50">
                    <h2 class="content-header-title mb-0 p-0 text-center">Track Checkpoint Data Not Found</h2>
                </div>
                <!-- End -->
            </div>
      
   <?php } ?>       
</div>