

<div class="content-body">
    <!-- Bordered table start -->
    <div class="row" id="table-bordered">
        <div class="col-12">
            <div class="card">
                <div>
                     <h3>Vehicle Performance Details</h3>
                     <h3>Date : <?php echo $txt_date; ?></h3>
                </div>
                <div class="table-responsive">
                    <table class="table table-striped table-bordered">
                        <thead>
                            <tr>
                                <th rowspan="2" class="text-center">Sr.No</th>
                                <th rowspan="2">Vehicle Details</th>
                                <th rowspan="2" colspan="2" class="text-center">Route Name</th>
                                <th rowspan="2" class="text-center">Covered Point</th>
                                <th rowspan="2" class="text-center">Covered Percentage</th>
                                <th colspan="2" class="text-center">Passes</th>
                                <!-- <th rowspan="2" class="text-center">Pocket In Time</th>
                                <th rowspan="2" class="text-center">Pocket Out Time</th> -->
                                <th rowspan="2" class="text-center">Work Time Total</th>
                                <th colspan="2" class="text-center">Distance Travelled</th>
                            </tr>
                            <tr>

                                <th class="text-center">Completed</th>
                                <th class="text-center">Total</th>
                                <th class="text-center">Completed</th>
                                <th class="text-center">Total</th>
                            </tr>
                        </thead>
                        <tbody class="text-left">
                            <?php 
                            if(!empty($records)){
                             $i = 0;
                             $pocket1 = array();
                             foreach ($records as $value) {

                                $i++; 

                                $pocket1 = json_decode($value->pockets);

                                $default_route_point = '';
                                $pocket_name_count = 0;

                                if(!empty($pocket1)){

                                    foreach ($pocket1 as $pocket1_val) {

                                //echo '<pre>';print_r($pocket1_val);
                                        $pocket_name = $pocket1_val->pocket_name;
                                        $pocket_name_count += count((array)$pocket1_val->pocket_name);
                                        $passes = $pocket1_val->passes;
                                        $checkpoints = count($pocket1_val->checkpoints);
                                        $points_pass_val = $passes*$checkpoints;

                                        $covered_point_passes = array_sum(array_column($pocket1_val->checkpoints,'passes'));
                                        
                                        $route_covered_per_val = 0;
                                        if($points_pass_val){
                                        $route_covered_per_val = ($covered_point_passes / $points_pass_val)*100;
                                        }

                                        $pocket_in = ($pocket1_val->pocket_in)?date('H:i:s',$pocket1_val->pocket_in):'';
                                        $pocket_out = ($pocket1_val->pocket_out)?date('H:i:s',$pocket1_val->pocket_out):'';

                                        $total_time_work_h = gmdate('H', $pocket1_val->pocket_total_time);

                                        $total_time_work_m = gmdate('i', $pocket1_val->pocket_total_time);

                                        $total_time_work_s = gmdate('s', $pocket1_val->pocket_total_time);;

                                        $current_pass = $pocket1_val->current_pass;
                                        $passes = $pocket1_val->passes;

                                        $default_distance = 'NA';
                                        if(isset($pocket1_val->default_distance)){
                                          $default_distance = $pocket1_val->default_distance.' KM';
                                      }

                                      $distance_travelled = ($pocket1_val->distance_travelled)?round($pocket1_val->distance_travelled / 1000,2).' KM':0;

                                      // $default_route_point .= '<tr><td style="text-align: center;">'.$pocket_name.'</td><td style="text-align: center;">'.$points_pass_val.'</td><td style="text-align: center;">'.$covered_point_passes.'</td><td style="text-align: center;">'.round($route_covered_per_val,2).' %</td><td style="text-align: center;">'.$current_pass.'</td><td style="text-align: center;">'.$passes.'</td><td style="text-align: center;">'.$pocket_in.'</td><td style="text-align: center;">'.$pocket_out.'</td><td style="text-align: center;">'.$total_time_work_h.'h '.$total_time_work_m.'m '.$total_time_work_s.'s</td><td style="text-align: center;">'.$distance_travelled.'</td><td style="text-align: center;">'.$default_distance.'</td></tr>'; 

                                      $default_route_point .= '<tr><td style="text-align: center;">'.$pocket_name.'</td><td style="text-align: center;">'.$points_pass_val.'</td><td style="text-align: center;">'.$covered_point_passes.'</td><td style="text-align: center;">'.round($route_covered_per_val,2).' %</td><td style="text-align: center;">'.$current_pass.'</td><td style="text-align: center;">'.$passes.'</td><td style="text-align: center;">'.$total_time_work_h.'h '.$total_time_work_m.'m '.$total_time_work_s.'s</td><td style="text-align: center;">'.$distance_travelled.'</td><td style="text-align: center;">'.$default_distance.'</td></tr>';
                                  } 
                              }else{
                                $default_route_point .= '<tr><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>';
                            }

                            if($pocket_name_count > 0){

                             $pocket_name_count = $pocket_name_count+1;

                         }else{

                             $pocket_name_count = $pocket_name_count+2;
                         }

                         ?>  
                         <tr>
                            <td rowspan="<?php echo $pocket_name_count; ?>" style="text-align: center;"><?php echo $i; ?></td>
                            <td rowspan="<?php echo $pocket_name_count; ?>">Vehicle Number - <?php echo $value->vehicle_number; ?><br>
                                Vehicle Type - <?php echo $value->type; ?><br>
                                Route Name - <?php echo $value->route_name; ?>
                            </td>

                            <?php echo $default_route_point; ?>
                        </tr>
                        <?php 
                    }
                }else{
                    ?>     
                    <tr>
                        <td colspan="13" style="text-align:center; color:red;">No Record Found</td>
                    </tr>
                    <?php 
                }
                ?> 
            </tbody>
        </table>
    </div>

</div>

</div>
</div>
<!-- Bordered table end -->
</div>

<?php 
    $filename = "vehicle_performance_detail" . date("Y-m-d_H-i", time());
    header("Content-type: application/vnd.ms-excel");
    header("Content-disposition: attachment; filename=".$filename.".xls");
?>