@extends('layout.index')
@section('title', 'Vehicle Type-wise Present and Absent Vehicle Report')

<!-- Dashboard Ecommerce start -->
@section('content')
    @php
    use Carbon\Carbon;
    @endphp
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Vehicle Type-wise Present and Absent Vehicle Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
     
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/vehicle_tracking_reports/vehicle_type_wise_present_absent') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-10">
                                        <div class="row">
                                            
                                            <div class="col-sm-2">
                                              <label class="form-label">Date</label>
                                              <input id="date" name="date" class="form-control flatpickr-basic" type="text" value="<?php echo $date; ?>" >
                                            </div>

                                            <div class="col-sm-2">
                                                <label class="form-label">&nbsp;</label><br>
                                                    <button type="submit" class="btn btn-primary" onClick="return validation()">Search</button>
                                                    @if ($search) 
                                                      <a title="Clear" href="{{ url('/vehicle_tracking_reports/clear_search/vehicle_type_wise_present_absent') }}" type="button" class="btn btn-outline-primary"><i data-feather="rotate-ccw" class="me-25"></i> Clear </a>
                                                    @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-2">
                                        <label class="form-label">&nbsp;</label>
                                        <div class="d-flex align-items-center justify-content-end">
                                        @if(!empty($records['Pakage_wise_data']))          
                                            <a title="Clear" href="{{ url('/vehicle_tracking_reports/vehicle_type_wise_present_absent/export_excel') }}"  style="margin : 4px;"
                                                type="button" class="btn btn-outline-primary">
                                                <i class='fa fa-download' arial-hidden="true"></i> Excel
                                            </a>
                                        @endif      
                                            <a href="{{ url('vehicle_tracking_reports') }}" 
                                                    class="btn btn-outline-primary float-right"><span>Back</span></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th rowspan="2" style="vertical-align:center" class="text-center">Sr.No</th>
                                        <th rowspan="2" style="vertical-align:center" class="text-left">Pakage</th>
                                        <th colspan="2" class="text-center">Household Big</th>
                                        <th colspan="2" class="text-center">Household Small</th>
                                        <th colspan="2" class="text-center">Commercial</th>
                                        <th colspan="2" class="text-center">Hotel</th>
                                        <th colspan="2" class="text-center">Garden</th>
                                        <th colspan="2" class="text-center">Debris</th>
                                        <th colspan="2" class="text-center">Litter</th>
                                        <th colspan="2" class="text-center">Total</th>
                                    </tr>
                                    <tr>
                                      
                                        <th class="text-center">Present</th>
                                        <th class="text-center">Absent</th>

                                        <th class="text-center">Present</th>
                                        <th class="text-center">Absent</th>
                                        
                                        <th class="text-center">Present</th>
                                        <th class="text-center">Absent</th>
                                        
                                        <th class="text-center">Present</th>
                                        <th class="text-center">Absent</th>
                                        
                                        <th class="text-center">Present</th>
                                        <th class="text-center">Absent</th>
                                        
                                        <th class="text-center">Present</th>
                                        <th class="text-center">Absent</th>

                                        <th class="text-center">Present</th>
                                        <th class="text-center">Absent</th>

                                        <th class="text-center">Total Present</th>
                                        <th class="text-center">Total Absent</th>
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                               
                                <?php 
                                  if(!empty($records['Pakage_wise_data'])){
                                        $i = 0;
                                        $total_housebig_present   = 0;
                                        $total_housebig_absent    = 0;
                                        $total_housesmall_present = 0;
                                        $total_housesmall_absent  = 0;
                                        $total_commertial_present = 0;
                                        $total_commertial_absent  = 0;
                                        $total_hotel_present      = 0;
                                        $total_hotel_absent       = 0;
                                        $total_garden_present     = 0;
                                        $total_garden_absent      = 0;
                                        $total_debris_present     = 0;
                                        $total_debris_absent      = 0;
                                        $total_litter_present     = 0;
                                        $total_litter_absent      = 0;
                                        $all_type_total_present   = 0; 
                                        $all_type_total_absent    = 0;
                                        $grand_total_present      = 0;
                                        $grand_total_absent       = 0;
                                           foreach($records['Pakage_wise_data'] as $aValue){ 
                                           $i++;

                                        $household_big_present = $aValue['types']['Household_big']['present'];
                                        $household_big_absent = $aValue['types']['Household_big']['absent'];
                                        $household_small_present = $aValue['types']['Household_small']['present'];
                                        $household_small_absent = $aValue['types']['Household_small']['absent'];
                                        $commercial_present   = $aValue['types']['Commercial']['present'];
                                        $commercial_absent    = $aValue['types']['Commercial']['absent'];
                                        $hotel_present        = $aValue['types']['Hotel']['present'];
                                        $hotel_absent         = $aValue['types']['Hotel']['absent'];
                                        $garden_present       = $aValue['types']['Garden']['present'];
                                        $garden_absent        = $aValue['types']['Garden']['absent'];
                                        $debris_present       = $aValue['types']['Debris']['present'];
                                        $debris_absent        = $aValue['types']['Debris']['absent'];
                                        $litter_present       = $aValue['types']['Litter']['present'];
                                        $litter_absent        = $aValue['types']['Litter']['absent'];

                                        //-------------------------------

                                        $all_type_total_present = $household_big_present + $household_small_present + $commercial_present + $hotel_present + $garden_present + $debris_present + $litter_present; 

                                        $grand_total_present += $all_type_total_present;

                                        $all_type_total_absent = $household_big_absent + $household_small_absent + $commercial_absent + $hotel_absent + $garden_absent + $debris_absent + $litter_absent;

                                        $grand_total_absent += $all_type_total_absent;

                                        //------------------------------
                                        $total_housebig_present   += $household_big_present;
                                        $total_housebig_absent    += $household_big_absent; 
                                        $total_housesmall_present += $household_small_present; 
                                        $total_housesmall_absent  += $household_small_absent; 
                                        $total_commertial_present += $commercial_present;
                                        $total_commertial_absent  += $commercial_absent; 
                                        $total_hotel_present      += $hotel_present;
                                        $total_hotel_absent       += $hotel_absent;
                                        $total_garden_present     += $garden_present;
                                        $total_garden_absent      += $garden_absent;
                                        $total_debris_present     += $debris_present;
                                        $total_debris_absent      += $debris_absent;
                                        $total_litter_present     += $litter_present;
                                        $total_litter_absent      += $litter_absent;
                                        
                                ?>
                                    <tr>
                                        <td class="text-center"><?php echo $i; ?></td>
                                        <td class="text-left"><?php echo $aValue['Pakage_name']; ?></td>
                                        <!-- Household Big-->
                                        <td class="text-center">
                                            <?php if($household_big_present){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/1/1/vehtypewise')}}" target="_blank"><?php echo $household_big_present;?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>
                                        <td class="text-center">
                                            <?php if($household_big_absent){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/2/1/vehtypewise') }}" target="_blank"><?php echo $household_big_absent;?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>

                                        <!-- Household_small -->
                                        <td class="text-center">
                                            <?php if($household_small_present){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/1/6/vehtypewise') }}" target="_blank"><?php echo $household_small_present; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>
                                        <td class="text-center">
                                            <?php if($household_small_absent){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/2/6/vehtypewise') }}" target="_blank"><?php echo $household_small_absent;?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>

                                        <!-- Commercial -->
                                         <td class="text-center">
                                            <?php if($commercial_present){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/1/2/vehtypewise') }}" target="_blank"><?php echo $commercial_present; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>
                                        <td class="text-center">
                                            <?php if($commercial_absent){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/2/2/vehtypewise') }}" target="_blank"><?php echo $commercial_absent; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>

                                        <!-- Hotel -->
                                        <td class="text-center">
                                            <?php if($hotel_present){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/1/3/vehtypewise') }}" target="_blank"><?php echo $hotel_present; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>
                                        <td class="text-center">
                                            <?php if($hotel_absent){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/2/3/vehtypewise') }}" target="_blank"><?php echo $hotel_absent; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>

                                        <!-- Garden -->
                                         <td class="text-center">
                                            <?php if($garden_present){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/1/4/vehtypewise') }}" target="_blank"><?php echo $garden_present; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>
                                        <td class="text-center">
                                            <?php if($garden_absent){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/2/4/vehtypewise') }}" target="_blank"><?php echo $garden_absent;?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>

                                        <!-- Debris -->
                                         <td class="text-center">
                                            <?php if($debris_present){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/1/5/vehtypewise') }}" target="_blank"><?php echo $debris_present; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>
                                        <td class="text-center">
                                            <?php if($debris_absent){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/2/5/vehtypewise') }}" target="_blank"><?php echo $debris_absent; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>

                                        <!-- Litter -->
                                        <td class="text-center">
                                            <?php if($litter_present){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/1/8/vehtypewise') }}" target="_blank"><?php echo $litter_present; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>
                                        <td class="text-center">
                                            <?php if($litter_absent){ ?>
                                            <a href="{{ URL('/vehicle_tracking_reports/typewise_redirect/'.$aValue['Pakage_id'].'/'.$date.'/2/8/vehtypewise') }}" target="_blank"><?php echo $litter_absent; ?></a>
                                            <?php }else{ echo '0'; }?> 
                                        </td>

                                        <th class="text-center">
                                           <?php echo $all_type_total_present; ?>
                                        </th>
                                        <th class="text-center">
                                           <?php echo $all_type_total_absent; ?>
                                        </th>

                                    </tr>

                                <?php } ?> 
                                 
                                <tr>
                                      <th class="text-right" colspan="2">Total</th>

                                      <th class="text-center"><?php echo $total_housebig_present; ?></th>
                                      <th class="text-center"><?php echo $total_housebig_absent; ?></th>

                                      <th class="text-center"><?php echo $total_housesmall_present; ?></th>
                                      <th class="text-center"><?php echo $total_housesmall_absent; ?></th>
                                      
                                      <th class="text-center"><?php echo $total_commertial_present; ?></th>
                                      <th class="text-center"><?php echo $total_commertial_absent; ?></th>
                                     
                                      <th class="text-center"><?php echo $total_hotel_present; ?></th>
                                      <th class="text-center"><?php echo $total_hotel_absent; ?></th>
                                         
                                      <th class="text-center"><?php echo $total_garden_present; ?></th>
                                      <th class="text-center"><?php echo $total_garden_absent; ?></th>
                                     
                                      <th class="text-center"><?php echo $total_debris_present; ?></th>
                                      <th class="text-center"><?php echo $total_debris_absent; ?></th>

                                      <th class="text-center"><?php echo $total_litter_present; ?></th>
                                      <th class="text-center"><?php echo $total_litter_absent; ?></th>

                                      <th class="text-center"><?php echo $grand_total_present; ?></th>
                                      <th class="text-center"><?php echo $grand_total_absent; ?></th>
                                  </tr>

                                <?php }else{ ?>

                                    <tr>
                                        <td colspan="30" class="text-center" style="color:red;">No Record Found.</td>
                                    </tr>
                                   
                                    <?php } ?>
                                     
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    <!-- pagination code -->
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection

