<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\WeightController;
use App\Http\Controllers\AttendanceappController;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

 /* Khatprakalp weight routes */
 Route::post('/weight', [WeightController::class,'save']);

 /* EMPLOYEE ATTENDANCE  */
 Route::post('/supervisor_login', [AttendanceappController::class,'login']);
 Route::post('/update_attendance', [AttendanceappController::class,'update_attendance']);
 Route::get('/check_attendance', [AttendanceappController::class,'check_attendance']);
 Route::get('/update_version_get', [AttendanceappController::class,'update_version_get']);
 