<?php $__env->startSection('title','Vehicle Performance Details'); ?>

<!-- Dashboard Ecommerce start -->
<?php $__env->startSection('content'); ?>
<section>
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0">Vehicle Performance Details List</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Vehicle Performance Details</li>
                             <li class="breadcrumb-item active" aria-current="page">Vehicle Performance Details List</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
    </div>
        <?php if($message = Session::get('success')): ?>
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-check-circle" style="font-size:16px;" aria-hidden="true"></i>
                            <?php echo e($message); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        <?php endif; ?>

    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
            <div class="col-12">
                <div class="card">
                    <form class="dt_adv_search" action="<?php echo e(url('vehicle_tracking_reports/vehicle_performance_details')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                        <div class="card-header w-100" >
                            <div class="row w-100" >
                                <div class="col-sm-8">
                                    <div class="row">

                                        <div class="col-sm-3">
                                            <div class="form-group m-0">
                                            <!-- <label class="form-label">Pakage</label> -->
                                            <input type="text" id="txt_date" class="form-control" name="txt_date" value="<?php echo e($txt_date); ?>" placeholder="Date" autocomplete="off">
                                            </div>
                                        </div>

                                        <div class= "col-sm-3">
                                           
                                           <button type="submit" name="btn_search" class="btn btn-primary">Search</button>
                                            
                                          <?php if($txt_date): ?>
                                              <button type="submit" name="btn_reset" class="btn btn-outline-primary"><i data-feather="rotate-ccw" class="me-25"></i> Clear</button>
                                            <?php endif; ?>    
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div style="float: right;">
                                        
                                        <a href="<?php echo e(url('vehicle_tracking_reports/vehicle_performance_detail_excel',['date'=>base64_encode($txt_date)])); ?>" 
                                        class="btn btn-outline-primary"><i class='fa fa-download' arial-hidden="true"></i> Excel</a>
                                     
                                        <a href="<?php echo e(url('/vehicle_tracking_reports')); ?>" 
                                        class="btn btn-outline-primary"><span>Back</span></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                <!-- index.blade.php -->

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th rowspan="2" class="text-center">Sr.No</th>
                <th rowspan="2">Vehicle Details</th>
                <th rowspan="2" colspan="2" class="text-center">Route Name</th>
                <th rowspan="2" class="text-center">Covered Point</th>
                <th rowspan="2" class="text-center">Covered Percentage</th>
                <th colspan="2" class="text-center">Passes</th>
                <!-- <th rowspan="2" class="text-center">Pocket In Time</th>
                <th rowspan="2" class="text-center">Pocket Out Time</th> -->
                <th rowspan="2" class="text-center">Work Time Total</th>
                <th colspan="2" class="text-center">Distance Travelled</th>
            </tr>
            <tr>
                
                <th class="text-center">Completed</th>
                <th class="text-center">Total</th>
                <th class="text-center">Completed</th>
                <th class="text-center">Total</th>
            </tr>
        </thead>
        <tbody class="text-left">
                    <?php 
                      if(!empty($records)){
                       $i = 0;
                       $pocket1 = array();
                      foreach ($records as $value) {
                        
                        $i++; 
                        
                        $pocket1 = json_decode($value->pockets);
                        
                        $default_route_point = '';
                        $pocket_name_count = 0;

                        if(!empty($pocket1)){

                            foreach ($pocket1 as $pocket1_val) {
                                
                                //echo '<pre>';print_r($pocket1_val);
                                $pocket_name = $pocket1_val->pocket_name;
                                $pocket_name_count += count((array)$pocket1_val->pocket_name);
                                $passes = $pocket1_val->passes;
                                $checkpoints = count($pocket1_val->checkpoints);
                                $points_pass_val = $passes*$checkpoints;

                                $covered_point_passes = array_sum(array_column($pocket1_val->checkpoints,'passes'));
                                
                                $route_covered_per_val = 0;
                                if($points_pass_val){
                                $route_covered_per_val = ($covered_point_passes / $points_pass_val)*100;
                                }

                                $pocket_in = ($pocket1_val->pocket_in)?date('H:i:s',$pocket1_val->pocket_in):'';
                                $pocket_out = ($pocket1_val->pocket_out)?date('H:i:s',$pocket1_val->pocket_out):'';

                                $total_time_work_h = gmdate('H', $pocket1_val->pocket_total_time);

                                $total_time_work_m = gmdate('i', $pocket1_val->pocket_total_time);

                                $total_time_work_s = gmdate('s', $pocket1_val->pocket_total_time);;

                                $current_pass = $pocket1_val->current_pass;
                                // $passes = $pocket1_val->passes;
                                
                                $default_distance = 'NA';
                                if(isset($pocket1_val->default_distance)){
                                  $default_distance = $pocket1_val->default_distance.' KM';
                                }
                                
                                $distance_travelled = ($pocket1_val->distance_travelled)?round($pocket1_val->distance_travelled / 1000,2).' KM':0;

                                // $default_route_point .= '<tr><td style="text-align: center;">'.$pocket_name.'</td><td style="text-align: center;">'.$points_pass_val.'</td><td style="text-align: center;">'.$covered_point_passes.'</td><td style="text-align: center;">'.round($route_covered_per_val,2).' %</td><td style="text-align: center;">'.$current_pass.'</td><td style="text-align: center;">'.$passes.'</td><td style="text-align: center;">'.$pocket_in.'</td><td style="text-align: center;">'.$pocket_out.'</td><td style="text-align: center;">'.$total_time_work_h.'h '.$total_time_work_m.'m '.$total_time_work_s.'s</td><td style="text-align: center;">'.$distance_travelled.'</td><td style="text-align: center;">'.$default_distance.'</td></tr>';

                                $default_route_point .= '<tr><td style="text-align: center;">'.$pocket_name.'</td><td style="text-align: center;">'.$points_pass_val.'</td><td style="text-align: center;">'.$covered_point_passes.'</td><td style="text-align: center;">'.round($route_covered_per_val,2).' %</td><td style="text-align: center;">'.$current_pass.'</td><td style="text-align: center;">'.$passes.'</td><td style="text-align: center;">'.$total_time_work_h.'h '.$total_time_work_m.'m '.$total_time_work_s.'s</td><td style="text-align: center;">'.$distance_travelled.'</td><td style="text-align: center;">'.$default_distance.'</td></tr>'; 
                            } 
                        }else{
                            // $default_route_point .= '<tr><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>';

                            $default_route_point .= '<tr><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>';
                        }

                        if($pocket_name_count > 0){
                           
                           $pocket_name_count = $pocket_name_count+1;

                        }else{
                           
                           $pocket_name_count = $pocket_name_count+2;
                        }
                        
                    ?>  
                        <tr>
                            <td rowspan="<?php echo $pocket_name_count; ?>" style="text-align: center;"><?php echo $i; ?></td>
                            <td rowspan="<?php echo $pocket_name_count; ?>">Vehicle Number - <?php echo $value->vehicle_number; ?><br>
                                Vehicle Type - <?php echo $value->type; ?><br>
                                Route Name - <?php echo $value->route_name; ?>
                            </td>

                            <?php echo $default_route_point; ?>
                        </tr>
                    <?php 
                       }
                      }else{
                    ?>     
                    <tr>
                        <td colspan="13" style="text-align:center; color:red;">No Record Found</td>
                    </tr>
                    <?php 
                       }
                    ?> 
        </tbody>
    </table>
</div>

                </div>

            </div>
        </div>
        <!-- Bordered table end -->
    </div>
</section>

<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

<script>

       $("#txt_date").datepicker({
            changeMonth: true,
            changeYear: true,
            dateFormat: 'dd-mm-yy'
        });
   </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/pcmcmechanicalsw/public_html/ncap.pcmcmechanicalsweeper.com/resources/views/reports/vehicle_performance.blade.php ENDPATH**/ ?>